summaryrefslogtreecommitdiffstats
path: root/appc-config/appc-config-generator/installer/src/main
diff options
context:
space:
mode:
authorSkip Wonnell <kw5258@att.com>2017-08-15 18:07:13 -0500
committerPatrick Brady <pb071s@att.com>2017-08-17 06:16:06 +0000
commitdbf27a48318ba76644d6e2b095358db60bf5c9b6 (patch)
tree14e1663177802203eb7cfdc18bfd0036eadb31fe /appc-config/appc-config-generator/installer/src/main
parent9296b7674ea71cb86fe2ea99e80d9d055267ae5b (diff)
Initial commit for config-generator bundle
This bundle contains logic for creating the configuration, reading templates, and merging the data together Issue-ID: APPC-59 Change-Id: Ifd745964f659f075250d6acaf1b5f033da28e1c4 Signed-off-by: Skip Wonnell <kw5258@att.com>
Diffstat (limited to 'appc-config/appc-config-generator/installer/src/main')
-rw-r--r--appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh b/appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh
new file mode 100644
index 000000000..d3d2ea6e7
--- /dev/null
+++ b/appc-config/appc-config-generator/installer/src/main/resources/scripts/install-feature.sh
@@ -0,0 +1,40 @@
+###
+# ============LICENSE_START=======================================================
+# ONAP : APP-C
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+###
+
+#!/bin/bash
+
+ODL_HOME=${ODL_HOME:-/opt/opendaylight/current}
+ODL_KARAF_CLIENT=${ODL_KARAF_CLIENT:-${ODL_HOME}/bin/client}
+ODL_KARAF_CLIENT_OPTS=${ODL_KARAF_CLIENT_OPTS:-"-u karaf"}
+INSTALLERDIR=$(dirname $0)
+
+REPOZIP=${INSTALLERDIR}/${features.boot}-${project.version}.zip
+
+if [ -f ${REPOZIP} ]
+then
+ unzip -n -d ${ODL_HOME} ${REPOZIP}
+else
+ echo "ERROR : repo zip ($REPOZIP) not found"
+ exit 1
+fi
+
+${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:repo-add ${features.repositories}
+${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:install ${features.boot}